Skip to main content
GET
Get a dispute
v1 · Base URL https://api.fintoc.com/v1

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Unique identifier for the dispute.

Response

The dispute.

id
string
required

Unique identifier of the dispute.

Example:

"cb_8anBm9YpVwXzKqL2"

object
any
required

Type of the object. Always dispute.

amount
integer
required

Disputed amount, in the currency's smallest unit. CLP has no decimals, so 7005 means 7005 CLP; MXN and USD have cents, so 7005 means 70.05.

Example:

7005

created_at
string<date-time>
required

ISO 8601 datetime in UTC when the dispute was created.

Example:

"2024-01-15T17:04:10.284Z"

currency
string
required

ISO 4217 currency code of the disputed amount.

Example:

"CLP"

documentation_upload_deadline
string<date-time>
required

ISO 8601 datetime in UTC for the documentation submission deadline before the dispute is lost by default.

Example:

"2024-01-22T17:04:10.284Z"

documents
object[]
required

Documents uploaded as evidence for the dispute.

mode
enum<string>
required

Mode of the object. live objects use real institution data, test objects use fake data for integration testing.

Available options:
test,
live
Example:

"live"

resource_id
string
required

Identifier of the disputed resource.

Example:

"pi_8anBm9YpVwXzKqL2"

resource_type
any
required

Type of the disputed resource. Always payment_intent.

status
enum<string>
required

Current status of the dispute. One of waiting_documentation, in_review, lost, expired, or won.

Available options:
waiting_documentation,
in_review,
lost,
expired,
won
Example:

"waiting_documentation"

updated_at
string<date-time>
required

ISO 8601 datetime in UTC when the dispute was last updated.

Example:

"2024-01-16T17:04:10.284Z"